
package edu.uoc.uocservicios.persistence;

//import java.text.SimpleDateFormat;  
//import java.util.Date;  

import java.io.Serializable;
import java.util.Date;

import com.google.appengine.api.datastore.Entity;

public class Contenido implements Serializable {

    /**
     * Contenido.
     */
	
	public static final String CONTENIDO_ENTITY = "Contenido";	
    public static final String CID = "_cId";
    public static final String TITULO = "_titulo";
    public static final String SUBTITULO = "_subtitulo";
    public static final String URL = "_url";
    public static final String ACTIVO_DESDE = "_activoDesde";
    public static final String ACTIVO_HASTA = "_activoHasta";
    public static final String FORZAR_ACTIVO = "_forzarActivo";
  	
	private static final long serialVersionUID = 1L;
	private Entity entity = new Entity (CONTENIDO_ENTITY);

	// Constructor del contenido	
    public Contenido() {}

	
	public Date getActivoDesde() {
		return (Date) entity.getProperty(ACTIVO_DESDE);
	}

	public String getId() {
		return (String) entity.getProperty(CID);
	}

	public void setId(String id) {
		entity.setProperty(CID, id);
	}

	public void setActivoDesde(Date activoDesde) {
		entity.setProperty(ACTIVO_DESDE, activoDesde);
	}

	public Date getActivoHasta() {
		return (Date) entity.getProperty(ACTIVO_HASTA);
	}

	public void setActivoHasta(Date activoHasta) {
		entity.setProperty(ACTIVO_HASTA, activoHasta);
	}

	public boolean getForzarActivo() {
		return  (Boolean) entity.getProperty(FORZAR_ACTIVO);
	}

	public void setForzarActivo(Boolean forzarActivo) {
		entity.setProperty(FORZAR_ACTIVO, forzarActivo);
	}
		
	public String getTitulo() {
		return (String) entity.getProperty(TITULO);
	}
	
	public void setTitulo(String sTitulo) {
		entity.setProperty(TITULO, sTitulo);
	}
	
	public String getSubtitulo() {
		return (String) entity.getProperty(SUBTITULO);
	}
	
	public void setSubtitulo(String sSubTit) {
		entity.setProperty(SUBTITULO, sSubTit);
	}
	
	public String getURL() {
		return (String) entity.getProperty(URL);
	}
	
	public void setURL(String sUrl) {
		entity.setProperty(URL, sUrl);
	}
	
	public Entity getEntity () {
		return entity;
	}	
}
