package edu.uoc.uocservicios.service.rest.impl;

import java.util.ArrayList;
import java.util.List;

import javax.ws.rs.Path;
import javax.ws.rs.GET;
import javax.ws.rs.Produces;
import edu.uoc.uocservicios.service.converter.ContenidoConverter;
import edu.uoc.uocservicios.persistence.Contenido;
import edu.uoc.uocservicios.persistence.ServiciosUtils;


@Path("/serv")

public class uocServiceResource {


	@GET
	@Produces({"application/json"})
	@Path("/extra")
	
	public List<ContenidoConverter> verContenidos(){
	
    List<Contenido> listaContenidos = ServiciosUtils.getOnlyActiveEntries();		
	List<ContenidoConverter> listaContenidos2 = new ArrayList<ContenidoConverter>();
    
	for (Contenido cnt : listaContenidos) {		
		ContenidoConverter converter = new ContenidoConverter(cnt);		
		listaContenidos2.add(converter);
	}

	return listaContenidos2;
	}

}

