package edu.uoc.uocservicios.service.converter;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import edu.uoc.uocservicios.persistence.Contenido;

@XmlRootElement(name = "contenido")
public class ContenidoConverter {
	private Contenido entity = null;

	public ContenidoConverter()
	{
		entity = new Contenido();	
	}

	public ContenidoConverter(Contenido entity) {
		this.entity = entity;
	}

	@XmlElement
	public String getTitulo(){
		return entity.getTitulo();
	}

	@XmlElement
	public String getSubtitulo(){
		return entity.getSubtitulo();
	}

	@XmlElement
	public String getURL(){
		return entity.getURL();
	}	
}

