<%@ page contentType="text/html;charset=UTF-8" language="java"%>
<%@ page import="edu.uoc.uocservicios.persistence.Contenido"%>
<%@ page import="edu.uoc.uocservicios.persistence.ServiciosUtils"%>
<%@ page import="java.util.List"%>
<%@ page import="com.google.appengine.api.users.User" %>
<%@ page import="com.google.appengine.api.users.UserService" %>
<%@ page import="com.google.appengine.api.users.UserServiceFactory" %>


<html>
<head>
	<title>Gestion de Servicios Extra - GAE</title>
	<link rel="stylesheet" href="/css/estilos.css">
</head>
<body>

<%UserService userService = UserServiceFactory.getUserService();%>
<%User user = userService.getCurrentUser(); %>
<%if (user == null) {%>
		<form name=loginForm action="/_admin/uocServiceAdmin" method="post">
		    <input type="hidden" name="op" value="nouser"></p>
			<p><input type="submit" value="Enviar"></p>
			<SCRIPT type=text/javascript>
			document.loginForm.submit();
			</SCRIPT>   
<%} else {%>  

	<div id="header">
			<img src="/img/uoc.png"></img>
		<img src="/img/appengine_lowres.gif"></img>
	</div>
	
	<div id="listado">
		<h2>Servicios extra Actualmente:</h2>				
			<%
				List<Contenido> contenidos = ServiciosUtils.getAllEntries();
				if (contenidos.isEmpty()) {
			%>
				No hay ningun servicio Extra publicado
			<%
				} else {
					for (Contenido cnt : contenidos) {
			%>
				<p>Id: <%=cnt.getId()%><br>
				Titulo: '<%=cnt.getTitulo()%>'<br>
				Subtitulo:<i> '<%=cnt.getSubtitulo()%>'</i><br>
				URL: '<%=cnt.getURL()%>'<br>
				Activo Desde: '<%=cnt.getActivoDesde()%>'<br>
			    Activo Hasta: '<%=cnt.getActivoHasta()%>'<br>
			    Forzar Activo: '<%=cnt.getForzarActivo()%>'<br>				
				
				
				
				</p>
			<%
					}
				}
			%>
	</div>			
				
	<div id="publicar">
		<h2>Nuevo Servicio Extra</h2>
		<form action="/_admin/uocServiceAdmin" method="post">
		    <input type="hidden" name="op" value="Add"></p>
		    <p>- ID del Servicio: <input name="id"></p>		    
			<p>- Titulo del Servicio: <input name="titulo" size=100></p>
			<p>- Subtitulo del Servicio: <input name="subtitulo" size=100></p>			
			<p>- URL: <input name="URL" size=100></p>
			<p>- Activo Desde: <input name="activoDesde"></p>
			<p>- Activo Hasta: <input name="activoHasta"></p>
			<p>- Forzar Activo: <input TYPE="CHECKBOX" value="forzarActivo" name="forzarActivo"></p>
			<p><input type="submit" value="Enviar"></p>
		</form>
	</div>
<% }%>
</body>
</html>